
_init:

;keypad_877a.c,26 :: 		void init()
;keypad_877a.c,28 :: 		adcon1=7;
	MOVLW      7
	MOVWF      ADCON1+0
;keypad_877a.c,29 :: 		portc=0;
	CLRF       PORTC+0
;keypad_877a.c,30 :: 		trisc=0;
	CLRF       TRISC+0
;keypad_877a.c,31 :: 		lcd_init();
	CALL       _Lcd_Init+0
;keypad_877a.c,32 :: 		lcd_cmd(12);
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;keypad_877a.c,33 :: 		keypad_init();
	CALL       _Keypad_Init+0
;keypad_877a.c,34 :: 		}
L_end_init:
	RETURN
; end of _init

_startup:

;keypad_877a.c,36 :: 		void startup()
;keypad_877a.c,38 :: 		portc=0b11111111;
	MOVLW      255
	MOVWF      PORTC+0
;keypad_877a.c,39 :: 		delay_ms(100);
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_startup0:
	DECFSZ     R13+0, 1
	GOTO       L_startup0
	DECFSZ     R12+0, 1
	GOTO       L_startup0
	NOP
	NOP
;keypad_877a.c,40 :: 		portc=0b00000000;
	CLRF       PORTC+0
;keypad_877a.c,41 :: 		delay_ms(100);
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_startup1:
	DECFSZ     R13+0, 1
	GOTO       L_startup1
	DECFSZ     R12+0, 1
	GOTO       L_startup1
	NOP
	NOP
;keypad_877a.c,42 :: 		lcd_out(1,1,"welcome");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr1_keypad_877a+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;keypad_877a.c,43 :: 		delay_ms(200);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L_startup2:
	DECFSZ     R13+0, 1
	GOTO       L_startup2
	DECFSZ     R12+0, 1
	GOTO       L_startup2
	DECFSZ     R11+0, 1
	GOTO       L_startup2
	NOP
;keypad_877a.c,44 :: 		lcd_cmd(1);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;keypad_877a.c,45 :: 		ptr=&fromuser[0];
	MOVLW      _fromuser+0
	MOVWF      _ptr+0
;keypad_877a.c,46 :: 		}
L_end_startup:
	RETURN
; end of _startup

_main:

;keypad_877a.c,47 :: 		void main() {
;keypad_877a.c,48 :: 		init();
	CALL       _init+0
;keypad_877a.c,49 :: 		startup();
	CALL       _startup+0
;keypad_877a.c,50 :: 		x=0;
	CLRF       _x+0
;keypad_877a.c,52 :: 		while(kb!=4)
L_main3:
	MOVF       _kb+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L_main4
;keypad_877a.c,54 :: 		kb=keypad_key_press();
	CALL       _Keypad_Key_Press+0
	MOVF       R0+0, 0
	MOVWF      _kb+0
;keypad_877a.c,55 :: 		while(!kb);
L_main5:
	MOVF       _kb+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_main6
	GOTO       L_main5
L_main6:
;keypad_877a.c,56 :: 		fromuser[x]=kb;
	MOVF       _x+0, 0
	ADDLW      _fromuser+0
	MOVWF      FSR
	MOVF       _kb+0, 0
	MOVWF      INDF+0
;keypad_877a.c,57 :: 		show(kb,x);
	MOVF       _kb+0, 0
	MOVWF      FARG_show+0
	MOVF       _x+0, 0
	MOVWF      FARG_show+0
	CALL       _show+0
;keypad_877a.c,58 :: 		x++;
	INCF       _x+0, 1
;keypad_877a.c,59 :: 		}//end while
	GOTO       L_main3
L_main4:
;keypad_877a.c,62 :: 		for(x=0;x<4;x++){lcd_chr(1,2,fromuser[x]+48);} //show saved pass
	CLRF       _x+0
L_main7:
	MOVLW      4
	SUBWF      _x+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main8
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       _x+0, 0
	ADDLW      _fromuser+0
	MOVWF      FSR
	MOVLW      48
	ADDWF      INDF+0, 0
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
	INCF       _x+0, 1
	GOTO       L_main7
L_main8:
;keypad_877a.c,63 :: 		check=memcmp(fromuser,password,4);
	MOVLW      _fromuser+0
	MOVWF      FARG_memcmp_s1+0
	MOVLW      _password+0
	MOVWF      FARG_memcmp_s2+0
	MOVLW      4
	MOVWF      FARG_memcmp_n+0
	MOVLW      0
	MOVWF      FARG_memcmp_n+1
	CALL       _memcmp+0
	MOVF       R0+0, 0
	MOVWF      _check+0
;keypad_877a.c,64 :: 		if(check==0)lcd_out(2,2,"matching");
	MOVF       R0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main10
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr2_keypad_877a+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
	GOTO       L_main11
L_main10:
;keypad_877a.c,66 :: 		lcd_out(2,2,"not matching");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr3_keypad_877a+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
L_main11:
;keypad_877a.c,68 :: 		} //end main
L_end_main:
	GOTO       $+0
; end of _main

_show:

;keypad_877a.c,71 :: 		void show(char key,char pos)
;keypad_877a.c,73 :: 		switch(key)
	GOTO       L_show12
;keypad_877a.c,75 :: 		case 1:key_value=7;break;
L_show14:
	MOVLW      7
	MOVWF      _key_value+0
	GOTO       L_show13
;keypad_877a.c,76 :: 		case 2:key_value=4;break;
L_show15:
	MOVLW      4
	MOVWF      _key_value+0
	GOTO       L_show13
;keypad_877a.c,77 :: 		case 3:key_value=1;break;
L_show16:
	MOVLW      1
	MOVWF      _key_value+0
	GOTO       L_show13
;keypad_877a.c,78 :: 		case 4:key_value=30;break;
L_show17:
	MOVLW      30
	MOVWF      _key_value+0
	GOTO       L_show13
;keypad_877a.c,79 :: 		case 5:key_value=8;break;
L_show18:
	MOVLW      8
	MOVWF      _key_value+0
	GOTO       L_show13
;keypad_877a.c,80 :: 		case 6:key_value=5;break;
L_show19:
	MOVLW      5
	MOVWF      _key_value+0
	GOTO       L_show13
;keypad_877a.c,81 :: 		case 7:key_value=2;break;
L_show20:
	MOVLW      2
	MOVWF      _key_value+0
	GOTO       L_show13
;keypad_877a.c,82 :: 		case 8:key_value=0;break;
L_show21:
	CLRF       _key_value+0
	GOTO       L_show13
;keypad_877a.c,83 :: 		case 9:key_value=9;break;
L_show22:
	MOVLW      9
	MOVWF      _key_value+0
	GOTO       L_show13
;keypad_877a.c,84 :: 		case 10:key_value=6;break;
L_show23:
	MOVLW      6
	MOVWF      _key_value+0
	GOTO       L_show13
;keypad_877a.c,85 :: 		case 11:key_value=3;break;
L_show24:
	MOVLW      3
	MOVWF      _key_value+0
	GOTO       L_show13
;keypad_877a.c,87 :: 		}
L_show12:
	MOVF       FARG_show_key+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_show14
	MOVF       FARG_show_key+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_show15
	MOVF       FARG_show_key+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_show16
	MOVF       FARG_show_key+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L_show17
	MOVF       FARG_show_key+0, 0
	XORLW      5
	BTFSC      STATUS+0, 2
	GOTO       L_show18
	MOVF       FARG_show_key+0, 0
	XORLW      6
	BTFSC      STATUS+0, 2
	GOTO       L_show19
	MOVF       FARG_show_key+0, 0
	XORLW      7
	BTFSC      STATUS+0, 2
	GOTO       L_show20
	MOVF       FARG_show_key+0, 0
	XORLW      8
	BTFSC      STATUS+0, 2
	GOTO       L_show21
	MOVF       FARG_show_key+0, 0
	XORLW      9
	BTFSC      STATUS+0, 2
	GOTO       L_show22
	MOVF       FARG_show_key+0, 0
	XORLW      10
	BTFSC      STATUS+0, 2
	GOTO       L_show23
	MOVF       FARG_show_key+0, 0
	XORLW      11
	BTFSC      STATUS+0, 2
	GOTO       L_show24
L_show13:
;keypad_877a.c,88 :: 		lcd_chr(1,1+pos,key_value+48);
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	INCF       FARG_show_pos+0, 0
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      48
	ADDWF      _key_value+0, 0
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;keypad_877a.c,92 :: 		}
L_end_show:
	RETURN
; end of _show
